#174 RxFtp additional trace log options

v4.2.0
closed
enhancement (1)
1
2014-04-15
2012-09-28
No

I have added extra options to FtpTraceLog
S Open log with ShareRead
E Extra detail, add time stamp to each log line and if debug is enables also output debug lines, prefixed with 'D'

I these options are omitetd behaviour will be as before

1 Attachments

Discussion

  • David Ashley

    David Ashley - 2012-09-28
    • status: open --> accepted
    • assigned_to: David Ashley
    • milestone: Next_Release --> v4.2.0
     
  • David Ashley

    David Ashley - 2012-09-28

    I have applied this patch.

     
    • Theo Keijzer

      Theo Keijzer - 2012-10-01

      Hello David, I noticed I created the patch in the wrong order (you probably noticed). So I am sending it again.

       
  • Theo Keijzer

    Theo Keijzer - 2012-10-05

    I found out that the next part causes a problem in putfile.
    ::method debugsay private unguarded

    if self~debug <> .false then do
    say arg(1)
    if self~tracelog <> .nil then do
    if self~exttraceflg = .true then
    self~traceline("D" arg(1))
    end
    end

    The if self~tracelog line causes the
    retc = self~recvresponse('226') to hang.
    I have no idea why that is.

     
    • Rick McGuire

      Rick McGuire - 2012-10-05

      I suspect the tracelog attribute needs to be made unguarded.

       
      • Theo Keijzer

        Theo Keijzer - 2012-10-05

        You were right. That was the problem. The same for exttraceflag.

         
  • Rick McGuire

    Rick McGuire - 2012-10-05

    On Fri, Oct 5, 2012 at 8:01 AM, Theo Keijzer tkeijzer@users.sf.net wrote:

    I found out that the next part causes a problem in putfile.
    ::method debugsay private unguarded

    if self~debug <> .false then do
    say arg(1)
    if self~tracelog <> .nil then do
    if self~exttraceflg = .true then
    self~traceline("D" arg(1))
    end
    end

    The if self~tracelog line causes the
    retc = self~recvresponse('226') to hang.
    I have no idea why that is.

    I suspect the tracelog attribute needs to be made unguarded.


    [patches:174] RxFtp additional trace log options

    Status: accepted
    Labels: enhancement
    Created: Fri Sep 28, 2012 01:04 PM UTC by Theo Keijzer
    Last Updated: Fri Sep 28, 2012 02:06 PM UTC
    Owner: David Ashley

    I have added extra options to FtpTraceLog
    S Open log with ShareRead
    E Extra detail, add time stamp to each log line and if debug is enables
    also output debug lines, prefixed with 'D'

    I these options are omitetd behaviour will be as before


    Sent from sourceforge.net because you indicated interest in <
    https://sourceforge.net/p/oorexx/patches/174/>

    To unsubscribe from further messages, please visit <
    https://sourceforge.net/auth/prefs/>

     
  • Rick McGuire

    Rick McGuire - 2014-04-15
    • status: accepted --> closed
     


Anonymous

Cancel  Add attachments